<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CellCopyPolicy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CellCopyPolicy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellCopyPolicy.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.Builder.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/CellCopyPolicy.html" target="_top">Frames</a>
        </li>
        <li><a href="CellCopyPolicy.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Class CellCopyPolicy" class="title">Class CellCopyPolicy</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.usermodel.CellCopyPolicy</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">CellCopyPolicy</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.Builder.html"
                                        title="class in org.apache.poi.ss.usermodel">CellCopyPolicy.Builder</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#DEFAULT_CONDENSE_ROWS_POLICY">DEFAULT_CONDENSE_ROWS_POLICY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#DEFAULT_COPY_CELL_FORMULA_POLICY">DEFAULT_COPY_CELL_FORMULA_POLICY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#DEFAULT_COPY_CELL_STYLE_POLICY">DEFAULT_COPY_CELL_STYLE_POLICY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#DEFAULT_COPY_CELL_VALUE_POLICY">DEFAULT_COPY_CELL_VALUE_POLICY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#DEFAULT_COPY_HYPERLINK_POLICY">DEFAULT_COPY_HYPERLINK_POLICY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#DEFAULT_COPY_MERGED_REGIONS_POLICY">DEFAULT_COPY_MERGED_REGIONS_POLICY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#DEFAULT_COPY_ROW_HEIGHT_POLICY">DEFAULT_COPY_ROW_HEIGHT_POLICY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#DEFAULT_MERGE_HYPERLINK_POLICY">DEFAULT_MERGE_HYPERLINK_POLICY</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#CellCopyPolicy--">CellCopyPolicy</a></span>()</code>
                                    <div class="block">Default CellCopyPolicy, uses default policy
                                        For custom CellCopyPolicy, use <a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.Builder.html"
                                                title="class in org.apache.poi.ss.usermodel"><code>CellCopyPolicy.Builder</code></a>
                                        class
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#CellCopyPolicy-org.apache.poi.ss.usermodel.CellCopyPolicy-">CellCopyPolicy</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                        title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;other)</code>
                                    <div class="block">Copy constructor</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.Builder.html"
                                        title="class in org.apache.poi.ss.usermodel">CellCopyPolicy.Builder</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#createBuilder--">createBuilder</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#isCondenseRows--">isCondenseRows</a></span>()</code>
                                    <div class="block">If condenseRows is true, a discontinuities in srcRows will be
                                        removed when copied to destination
                                        For example:
                                        Sheet.copyRows({Row(1), Row(2), Row(5)}, 11, policy) results in rows 1, 2, and 5
                                        being copied to rows 11, 12, and 13 if condenseRows is True, or rows 11, 11, 15
                                        if condenseRows is false
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#isCopyCellFormula--">isCopyCellFormula</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#isCopyCellStyle--">isCopyCellStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#isCopyCellValue--">isCopyCellValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#isCopyHyperlink--">isCopyHyperlink</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#isCopyMergedRegions--">isCopyMergedRegions</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#isCopyRowHeight--">isCopyRowHeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#isMergeHyperlink--">isMergeHyperlink</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#setCondenseRows-boolean-">setCondenseRows</a></span>(boolean&nbsp;condenseRows)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#setCopyCellFormula-boolean-">setCopyCellFormula</a></span>(boolean&nbsp;copyCellFormula)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#setCopyCellStyle-boolean-">setCopyCellStyle</a></span>(boolean&nbsp;copyCellStyle)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#setCopyCellValue-boolean-">setCopyCellValue</a></span>(boolean&nbsp;copyCellValue)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#setCopyHyperlink-boolean-">setCopyHyperlink</a></span>(boolean&nbsp;copyHyperlink)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#setCopyMergedRegions-boolean-">setCopyMergedRegions</a></span>(boolean&nbsp;copyMergedRegions)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#setCopyRowHeight-boolean-">setCopyRowHeight</a></span>(boolean&nbsp;copyRowHeight)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html#setMergeHyperlink-boolean-">setMergeHyperlink</a></span>(boolean&nbsp;mergeHyperlink)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DEFAULT_COPY_CELL_VALUE_POLICY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_COPY_CELL_VALUE_POLICY</h4>
                                <pre>public static final&nbsp;boolean DEFAULT_COPY_CELL_VALUE_POLICY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.CellCopyPolicy.DEFAULT_COPY_CELL_VALUE_POLICY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DEFAULT_COPY_CELL_STYLE_POLICY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_COPY_CELL_STYLE_POLICY</h4>
                                <pre>public static final&nbsp;boolean DEFAULT_COPY_CELL_STYLE_POLICY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.CellCopyPolicy.DEFAULT_COPY_CELL_STYLE_POLICY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DEFAULT_COPY_CELL_FORMULA_POLICY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_COPY_CELL_FORMULA_POLICY</h4>
                                <pre>public static final&nbsp;boolean DEFAULT_COPY_CELL_FORMULA_POLICY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.CellCopyPolicy.DEFAULT_COPY_CELL_FORMULA_POLICY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DEFAULT_COPY_HYPERLINK_POLICY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_COPY_HYPERLINK_POLICY</h4>
                                <pre>public static final&nbsp;boolean DEFAULT_COPY_HYPERLINK_POLICY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.CellCopyPolicy.DEFAULT_COPY_HYPERLINK_POLICY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DEFAULT_MERGE_HYPERLINK_POLICY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_MERGE_HYPERLINK_POLICY</h4>
                                <pre>public static final&nbsp;boolean DEFAULT_MERGE_HYPERLINK_POLICY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.CellCopyPolicy.DEFAULT_MERGE_HYPERLINK_POLICY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DEFAULT_COPY_ROW_HEIGHT_POLICY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_COPY_ROW_HEIGHT_POLICY</h4>
                                <pre>public static final&nbsp;boolean DEFAULT_COPY_ROW_HEIGHT_POLICY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.CellCopyPolicy.DEFAULT_COPY_ROW_HEIGHT_POLICY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DEFAULT_CONDENSE_ROWS_POLICY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_CONDENSE_ROWS_POLICY</h4>
                                <pre>public static final&nbsp;boolean DEFAULT_CONDENSE_ROWS_POLICY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.CellCopyPolicy.DEFAULT_CONDENSE_ROWS_POLICY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DEFAULT_COPY_MERGED_REGIONS_POLICY">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DEFAULT_COPY_MERGED_REGIONS_POLICY</h4>
                                <pre>public static final&nbsp;boolean DEFAULT_COPY_MERGED_REGIONS_POLICY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.CellCopyPolicy.DEFAULT_COPY_MERGED_REGIONS_POLICY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CellCopyPolicy--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellCopyPolicy</h4>
                                <pre>public&nbsp;CellCopyPolicy()</pre>
                                <div class="block">Default CellCopyPolicy, uses default policy
                                    For custom CellCopyPolicy, use <a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.Builder.html"
                                            title="class in org.apache.poi.ss.usermodel"><code>CellCopyPolicy.Builder</code></a>
                                    class
                                </div>
                            </li>
                        </ul>
                        <a name="CellCopyPolicy-org.apache.poi.ss.usermodel.CellCopyPolicy-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CellCopyPolicy</h4>
                                <pre>public&nbsp;CellCopyPolicy(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                        title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a>&nbsp;other)</pre>
                                <div class="block">Copy constructor</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>other</code> - policy to copy</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createBuilder--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createBuilder</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.Builder.html"
                                        title="class in org.apache.poi.ss.usermodel">CellCopyPolicy.Builder</a>&nbsp;createBuilder()</pre>
                            </li>
                        </ul>
                        <a name="isCopyCellValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCopyCellValue</h4>
                                <pre>public&nbsp;boolean&nbsp;isCopyCellValue()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the copyCellValue</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCopyCellValue-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCopyCellValue</h4>
                                <pre>public&nbsp;void&nbsp;setCopyCellValue(boolean&nbsp;copyCellValue)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>copyCellValue</code> - the copyCellValue to set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isCopyCellStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCopyCellStyle</h4>
                                <pre>public&nbsp;boolean&nbsp;isCopyCellStyle()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the copyCellStyle</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCopyCellStyle-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCopyCellStyle</h4>
                                <pre>public&nbsp;void&nbsp;setCopyCellStyle(boolean&nbsp;copyCellStyle)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>copyCellStyle</code> - the copyCellStyle to set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isCopyCellFormula--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCopyCellFormula</h4>
                                <pre>public&nbsp;boolean&nbsp;isCopyCellFormula()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the copyCellFormula</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCopyCellFormula-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCopyCellFormula</h4>
                                <pre>public&nbsp;void&nbsp;setCopyCellFormula(boolean&nbsp;copyCellFormula)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>copyCellFormula</code> - the copyCellFormula to set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isCopyHyperlink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCopyHyperlink</h4>
                                <pre>public&nbsp;boolean&nbsp;isCopyHyperlink()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the copyHyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCopyHyperlink-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCopyHyperlink</h4>
                                <pre>public&nbsp;void&nbsp;setCopyHyperlink(boolean&nbsp;copyHyperlink)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>copyHyperlink</code> - the copyHyperlink to set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isMergeHyperlink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isMergeHyperlink</h4>
                                <pre>public&nbsp;boolean&nbsp;isMergeHyperlink()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the mergeHyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMergeHyperlink-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMergeHyperlink</h4>
                                <pre>public&nbsp;void&nbsp;setMergeHyperlink(boolean&nbsp;mergeHyperlink)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>mergeHyperlink</code> - the mergeHyperlink to set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isCopyRowHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCopyRowHeight</h4>
                                <pre>public&nbsp;boolean&nbsp;isCopyRowHeight()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the copyRowHeight</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCopyRowHeight-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCopyRowHeight</h4>
                                <pre>public&nbsp;void&nbsp;setCopyRowHeight(boolean&nbsp;copyRowHeight)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>copyRowHeight</code> - the copyRowHeight to set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isCondenseRows--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCondenseRows</h4>
                                <pre>public&nbsp;boolean&nbsp;isCondenseRows()</pre>
                                <div class="block">If condenseRows is true, a discontinuities in srcRows will be removed
                                    when copied to destination
                                    For example:
                                    Sheet.copyRows({Row(1), Row(2), Row(5)}, 11, policy) results in rows 1, 2, and 5
                                    being copied to rows 11, 12, and 13 if condenseRows is True, or rows 11, 11, 15 if
                                    condenseRows is false
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the condenseRows</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCondenseRows-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCondenseRows</h4>
                                <pre>public&nbsp;void&nbsp;setCondenseRows(boolean&nbsp;condenseRows)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>condenseRows</code> - the condenseRows to set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isCopyMergedRegions--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCopyMergedRegions</h4>
                                <pre>public&nbsp;boolean&nbsp;isCopyMergedRegions()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the copyMergedRegions</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCopyMergedRegions-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setCopyMergedRegions</h4>
                                <pre>public&nbsp;void&nbsp;setCopyMergedRegions(boolean&nbsp;copyMergedRegions)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>copyMergedRegions</code> - the copyMergedRegions to set</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellCopyPolicy.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.Builder.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/CellCopyPolicy.html" target="_top">Frames</a>
        </li>
        <li><a href="CellCopyPolicy.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
